Class | RSS::Maker::RSS10::Textinput
In: | rss/maker/dublincore.rb rss/maker/1.0.rb
Parent: | Object

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/1.0.rb, line 195
            def have_required_values?
              @title and @description and @name and @link and
                @maker.channel.have_required_values?
            end

to_rss(rss)

[Source]

    # File rss/maker/1.0.rb, line 184
            def to_rss(rss)
              if @link
                textinput = RDF::Textinput.new(@link)
                set = setup_values(textinput)
                if set
                  rss.textinput = textinput
                  setup_other_elements(rss)
                end
              end
            end

[Validate]